angular.module('tasksApp', [])
  .controller('TaskController', function() {
    var controller = this;

    var tasks = ["task1", "task2", "task3"];

    var getTasks = function() { return tasks; }
    var addATask = function() {
      tasks.push(controller.newTask);
    }
    
    controller.getTasks = getTasks;
    controller.addATask = addATask;
  });
